### Method

# Snapd Client get_connections2_finish

since: 1.49

#### Declaration [src]

    gboolean
    snapd_client_get_connections2_finish (
      SnapdClient* client,
      GAsyncResult* result,
      GPtrArray** established,
      GPtrArray** undesired,
      GPtrArray** plugs,
      GPtrArray** slots,
      GError** error
    )

#### Description [src]

Complete request started with snapd_client_get_connections_async(). See `snapd_client_get_connections_sync()` for more information.

Available since: 1.49

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`established`

  Type: An array of `None`

  the location to store the array of connections or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`undesired`

  Type: An array of `None`

  the location to store the array of auto-connected connections that have been manually disconnected or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`plugs`

  Type: An array of `None`

  The location to store the array of `SnapdPlug` or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`slots`

  Type: An array of `None`

  The location to store the array of `SnapdSlot` or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.